/**
 * <copyright>
 * </copyright>
 *
 * $Id: ClusteringAttributeUsageValidator.java,v 1.1 2008-04-01 09:35:54 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.clustering.validation;

import orgomg.cwm.analysis.datamining.clustering.AttributeComparisonFunction;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.CategoryMatrix;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.clustering.ClusteringAttributeUsage}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ClusteringAttributeUsageValidator {
	boolean validate();

	boolean validateAttributeComparisonFunction(AttributeComparisonFunction value);
	boolean validateSimilarityScale(String value);
	boolean validateComparisonMatrix(CategoryMatrix value);
}
